.single-post-thumbnail {
    flex: 1 1 auto;
    overflow: hidden;
}
.single-post-thumbnail:hover {
    background-color: #000000;
}
.single-post-thumbnail img {
    max-width: 100%;
    height: auto;
    object-fit: contain;
}
.single-post-thumbnail img {
    -webkit-transition: all .6s ease-out;
    -moz-transition: all .6s ease-out;
    -o-transition: all .6s ease-out;
    transition: all .6s ease-out;
}
.single-post-thumbnail:hover img {
    opacity: .8;
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
}